jQuery(document).ready(function ($) {

    const $paymentForm = $('#add_payment_method');
    if ($paymentForm.length) {
        
        const $forteecom_widget = $('frt-widget-ecom');

        // adding custom class to hide button in order to prevent possible future bugs with other plugins
        $('body').on('change', 'input[name="payment_method"]', function (e) {
            if ($('input[name="payment_method"]:checked').val() === 'forteecom') {
                $('#place_order').addClass('forteecom_hide_element');
            } else {
                $('#place_order').removeClass('forteecom_hide_element');
            }
        });

        $('input[name="payment_method"]').trigger('change');

        $forteecom_widget.bind('cardSaved', function ($event) {
            $('.forteecom_overlay').fadeIn();
            $paymentForm.append('<input type="hidden" name="data[card_token]" value="' + $event.detail.data.data.token + '" />');
            $paymentForm.append('<input type="hidden" name="data[card_last4]" value="' + $event.detail.data.maskedPAN + '" />');
            $paymentForm.append('<input type="hidden" name="data[card_expiry_month]" value="' + $event.detail.data.expMonth + '" />');
            $paymentForm.append('<input type="hidden" name="data[card_expiry_year]" value="' + $event.detail.data.expYear + '" />');
            $paymentForm.append('<input type="hidden" name="data[card_type]" value="' + $event.detail.data.cardProvider + '" />');
            $paymentForm.submit();
        });

    }
});
